Package com.jangular.backend.security.jwt

# Class JwtTokenUtil

java.lang.Object
com.jangular.backend.security.jwt.JwtTokenUtil

@Component public class JwtTokenUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`JwtTokenUtil()`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`extractClaim(String token, Function<io.jsonwebtoken.Claims,T> claimsResolver)`
`Date`
`extractExpiration(String token)`
`String`
`extractUsername(String token)`
`String`
`generateRefreshToken(org.springframework.security.core.userdetails.UserDetails userDetails)`
`String`
`generateToken(org.springframework.security.core.userdetails.UserDetails userDetails, Map<String,Object> claims)`
`Boolean`
`validateToken(String token, org.springframework.security.core.userdetails.UserDetails userDetails)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JwtTokenUtil

public JwtTokenUtil()

## Method Details

### generateToken

public String generateToken(org.springframework.security.core.userdetails.UserDetails userDetails, Map<String,Object> claims)

### generateRefreshToken

public String generateRefreshToken(org.springframework.security.core.userdetails.UserDetails userDetails)

### validateToken

public Boolean validateToken(String token, org.springframework.security.core.userdetails.UserDetails userDetails)

### extractUsername

public String extractUsername(String token)

### extractExpiration

public Date extractExpiration(String token)

### extractClaim

public <T> T extractClaim(String token, Function<io.jsonwebtoken.Claims,T> claimsResolver)